$(document).ready(function(){
  // set con width
  var reWidth = function(){
    var w = $(window).width();
    $('.con').css('width',w-180);
    $('.footer').css('width',w-180);
    if ($('.menu').is(':hidden')) {
      $('.con').css('width',w);
      $('.footer').css('width',w);
    }else{
      $('.con').css('width',w-180);
      $('.footer').css('width',w-180);
    }
  };
  reWidth();
  window.onresize = reWidth;
  // menu click
  $('#menu .mng-tit').each(function(i){
    $(this).bind('click',function(){
      $('.menu-item').eq(i).fadeToggle();
      if($('.mng-tit span').eq(i).attr('class') == 'glyphicon glyphicon-chevron-up'){
        $('.mng-tit span').eq(i).attr('class','glyphicon glyphicon-chevron-down');
      }else{
        $('.mng-tit span').eq(i).attr('class','glyphicon glyphicon-chevron-up');
      }
    });
  });
  // col-btn click
  $('.col-btn').click(function(){
    var w = $(window).width();
    if ($('.menu').is(':hidden')) {
      $(this).css('left','180px');
      $('.col-btn span').attr('class','glyphicon glyphicon-menu-left');
      //$('.menu').css('left','-180px');
      $('.menu').fadeIn();
      $('.con').css('width',w-180);
      $('.footer').css('width',w-180);
      var flag = false;
    }else{
      $(this).css('left','0');
      $('.col-btn span').attr('class','glyphicon glyphicon-menu-right');
      $('.menu').fadeOut();
      $('.con').css('width',w);
      $('.footer').css('width',w);
    }
  }); 
});

// 判断是否为空，忽略空格
function checkSpace(checkstr){
    var str = '';
    for(spaceI = 0; spaceI < checkstr.length; spaceI++){str = str + ' ';}
    return (str == checkstr);
}
